using SqlSugar;

namespace YBDevice.Entity
{
    /// <summary>
    /// 微信公众号关键字
    /// </summary>
    [SugarTable("YB_WXMessage", TableDescription = "微信公众号关键字", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_WXMessage
    {
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public System.Guid Id { get; set; }

        /// <summary>
        /// 关键字
        /// </summary>
        [SugarColumn(ColumnDescription = "关键字", ColumnDataType = "varchar(50)")]
        public System.String EnCode { get; set; }

        /// <summary>
        /// 公众号appid
        /// </summary>
        [SugarColumn(ColumnDescription = "公众号appid", ColumnDataType = "varchar(50)")]
        public System.String PublicId { get; set; }

        /// <summary>
        /// 记录ID
        /// </summary>
        [SugarColumn(ColumnDescription = "记录ID", ColumnDataType = "varchar(50)")]
        public System.String ResultId { get; set; }

        /// <summary>
        /// 类型,1-带测量参数二维码,2-固定二维码
        /// </summary>
        [SugarColumn(ColumnDescription = "类型,1-带测量参数二维码,2-固定二维码")]
        public System.Int32 Type { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public System.DateTime CreateTime { get; set; }
    }
}
